##  Collection

Verileri depolayıp TAMAMINI herkese dağıtıp bir süre sonra geçersiz olacak veriler için kullanılır. Genel kullanım amacı cihazları birbirleri arasında eşitlemek için kullanılabiliir.

- pagination özelliği vardır
- eventsource tüm verileri hızlıca aktarır
- Geçerlilik tarihine göre collection'un tamamı silinir
- Tek yönlüdür okuyan cihazlar feedback dönemezler

## Events

Tüm verileri kanallar üzerinden hızlıca herkese aktarır. Bu özellike bir bildirimi belli kanallar üzerinden tüm cihazları haberdar etmek için kullanılabilir.

- Tarihli sistemdir belli bir tarihin sonrasında gerçekleşen olayları bildirir
- Bağlantıyı sağlayanlar hangi olayları dinleyeceklerini belirtirler ve yanlızca o olayları haberlerini alırlar
- Eventlerden sunucuya aksine bir rapor toplanabilir
- Temelde servis tarafında throttle uygulanır ve tüm olaylar dinleyicilere belirli periotlar ile dağıtılır
- Eventler tüm cihaza ulaştığı an veya geçerlilik süresi bittiğinde eventler silinir.
- Çift yönlüdür okuyan cihazlar veri hakkında feedback dönebilirler, feedbackler yavaşça sunucuya iletilir


## Notification

Temel amacı çok fazla veriyi yavaşça en güncelden başlayarak en eskiye doğru tüm cihazlara dağıtmaktır. Temel olarak eventler ile arasındaki bir gruba değil nokta atışı bir veya aynı kullanıcı tarafından kullanılan birden fazla cihaza iletmektir.
Sunucu tarafından etiketlenen tüm kullanıcılara veriyi iletir
Mesaj tüm kullanıcılara iletildiğinde veriyi siler, iletilmediğinde geçerlilik tarihi bitene kadar depolar

- Bağlanan cihazlar kendileri hakkında ayrıntılı bilgi verirler
- Notificationu gönderen sunucu hangi kesime veya kişiye göndereceğini bildirir ancak depolanırken tek tek depolanır
- Veri iletildiği an silinir veya iletilmediğinde bir süre sonra silinir
- Çift yönlüdür okuyan cihazlar veri hakkında feedback dönebilirler ve ayrıca sistem bildirimin iletildiğinide ayrıca tutabilir. Cihazların gönderdiği veriler sunucuya otomatik iletilmez, bunun yerine sunucu gelip alması gerekir